Qt 5.7 | Qt 3D | C++ Classes | QRenderTargetSelector

Qt 5.7.1 Reference Documentation

# QRenderTargetSelector Class

(Qt3DRender::QRenderTargetSelector)

Provides a way of specifying a render target More...

Header: | #include <QRenderTargetSelector>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | RenderTargetSelector
Inherits: | QFrameGraphNode

- List of all members, including inherited members

## Properties

- target : Qt3DRender::QRenderTarget *

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QRenderTargetSelector(Qt3DCore::QNode *parent = nullptr)
QVector<QRenderTargetOutput::AttachmentPoint> | outputs() const
QRenderTarget * | target() const

- 1 public function inherited from Qt3DRender::QFrameGraphNode
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setTarget(QRenderTarget *target)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | targetChanged(QRenderTarget *target)

- 3 signals inherited from Qt3DCore::QNode

## Protected Functions

| QRenderTargetSelector(QRenderTargetSelectorPrivate &dd, Qt3DCore::QNode *parent = nullptr)

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

Provides a way of specifying a render target

## Property Documentation

### target : Qt3DRender::QRenderTarget *

Specifies the target to be rendered

Access functions:

QRenderTarget * | target() const
void | setTarget(QRenderTarget *target)

Notifier signal:

void | targetChanged(QRenderTarget *target)

## Member Function Documentation

### QRenderTargetSelector::QRenderTargetSelector(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QRenderTargetSelector.

### `[protected]` QRenderTargetSelector::QRenderTargetSelector(QRenderTargetSelectorPrivate &dd, Qt3DCore::QNode *parent = nullptr)

Copy constructor.

### QVector<QRenderTargetOutput::AttachmentPoint> QRenderTargetSelector::outputs() const

Returns the list of draw buffers for the current Qt3DRender::QRenderTargetSelector instance.